<template>
  <div class="page-header-index-wide">
    <a-card :bordered="false">
      <!-- 查询区域 -->
      <div class="table-page-search-wrapper">
        <a-form layout="inline" @keyup.enter.native="searchQuery">

        </a-form>
      </div>
      <!-- 查询区域-END -->



      <!-- 操作按钮区域 -->
      <div class="table-operator">
        <a-button type="primary" icon="download" @click="companyAccountInCalculation('发票信息表')">企业账户2-3=1？</a-button>

        <a-button type="primary" icon="download" @click="companyAccountOutCalculation('发票信息表')">企业账户二.1.=一.1？</a-button>

        <a-button type="primary" icon="download" @click="companyAccountOutDetailCalculation('发票信息表')">企业账户(1)=(2)？</a-button>

        <a-button type="primary" icon="download" @click="platformFlowCalculation('发票信息表')">（三）平台流水1=2？</a-button>

        <a-button type="primary" icon="download" @click="platformFlowCalculationtwo('发票信息表')">（三）平台流水3=4？</a-button>

        <a-button type="primary" icon="download" @click="platformFlowCalculationThree('发票信息表')">（三）平台流水5=6(1)+6(2)？</a-button>

        <a-button type="primary" icon="download" @click="platformFlowCalculationNot('发票信息表')">（四）平台流水1=2？</a-button>

        <a-button type="primary" icon="download" @click="platformFlowCalculationNotTwo('发票信息表')">（四）平台流水3=4(1)+4(2)？</a-button>

      </div>

      <!-- table区域-begin -->
      <div>


      </div>

    </a-card>
  </div>
</template>

<script>

  import { JeecgListMixin } from '@/mixins/JeecgListMixin'
  import { filterObj } from '@/utils/util';
  import { getAction,postAction,deleteAction,downFile } from '@/api/manage'
  import moment from "moment"



  export default {
    name: "HlwCompanyAccountCalculation",
    mixins:[JeecgListMixin],
    components: {

    },
    data () {
      return {
        model: {},
        confirmLoading: false,
        form: this.$form.createForm(this),
        labelCol: {
          xs: { span: 24 },
          sm: { span: 5 },
        },
        wrapperCol: {
          xs: { span: 24 },
          sm: { span: 16 },
        },
        description: '账户监测',
        allowClear:false,
        // 查询条件
        queryParam: {

        },
        /* 排序参数 */
        isorter:{
          column: '',
          order: '',
        },
        // 表头
        columns: [

        ],
        url: {
          list: "/wisdom/hlwPaymentDetail/userBusinessInfoList",
          companyAccountInCalculation: "/wisdom/hlwCompanyAccountCalculation/companyAccountInCalculation",
          companyAccountOutCalculation: "/wisdom/hlwCompanyAccountCalculation/companyAccountOutCalculation",
          companyAccountOutDetailCalculation: "/wisdom/hlwCompanyAccountCalculation/companyAccountOutDetailCalculation",
          platformFlowCalculation: "/wisdom/hlwCompanyAccountCalculation/platformFlowCalculation",
          platformFlowCalculationtwo: "/wisdom/hlwCompanyAccountCalculation/platformFlowCalculationtwo",
          platformFlowCalculationThree: "/wisdom/hlwCompanyAccountCalculation/platformFlowCalculationThree",
          platformFlowCalculationNot: "/wisdom/hlwCompanyAccountCalculation/platformFlowCalculationNot",
          platformFlowCalculationNotTwo: "/wisdom/hlwCompanyAccountCalculation/platformFlowCalculationNotTwo",
        },
        dictOptions:{
        }
      }
    },
    computed: {
      importExcelUrl: function(){
        return `${window._CONFIG['domianURL']}/${this.url.exportXlsUrl}`;
      }
    },
    methods: {
      initDictConfig(){
      },

      modalFormOk(){

      },

      companyAccountInCalculation(){
        getAction(this.url.companyAccountInCalculation, {}).then((res) => {
          if (res.success) {
            if(res.result){
              this.$message.error("false")
            }else{
              this.$message.success("true")
            }
          }
          if (res.code === 510) {
            this.$message.warning(res.message)
          }
        })
      },

      companyAccountOutCalculation(){
        getAction(this.url.companyAccountOutCalculation, {}).then((res) => {
          if (res.success) {
            if(res.result){
              this.$message.error("false")
            }else{
              this.$message.success("true")
            }
          }
          if (res.code === 510) {
            this.$message.warning(res.message)
          }
        })
      },

      companyAccountOutDetailCalculation(){
        getAction(this.url.companyAccountOutDetailCalculation, {}).then((res) => {
          if (res.success) {
            if(res.result){
              this.$message.error("false")
            }else{
              this.$message.success("true")
            }
          }
          if (res.code === 510) {
            this.$message.warning(res.message)
          }
        })
      },

      platformFlowCalculation(){
        getAction(this.url.platformFlowCalculation, {}).then((res) => {
          if (res.success) {
              this.$message.success("true")
          }else{
            this.$message.error("false")
          }
          if (res.code === 510) {
            this.$message.warning(res.message)
          }
        })
      },

      platformFlowCalculationtwo(){
        getAction(this.url.platformFlowCalculationtwo, {}).then((res) => {
          if (res.success) {
            this.$message.success("true")
          }else{
            this.$message.error("false")
          }
          if (res.code === 510) {
            this.$message.warning(res.message)
          }
        })
      },

      platformFlowCalculationThree(){
        getAction(this.url.platformFlowCalculationThree, {}).then((res) => {
          if (res.success) {
            this.$message.success("true")
          }else{
            this.$message.error("false")
          }
          if (res.code === 510) {
            this.$message.warning(res.message)
          }
        })
      },

      platformFlowCalculationNot(){
        getAction(this.url.platformFlowCalculationNot, {}).then((res) => {
          if (res.success) {
            this.$message.success("true")
          }else{
            this.$message.error("false")
          }
          if (res.code === 510) {
            this.$message.warning(res.message)
          }
        })
      },


      platformFlowCalculationNotTwo(){
        getAction(this.url.platformFlowCalculationNotTwo, {}).then((res) => {
          if (res.success) {
            this.$message.success("true")
          }else{
            this.$message.error("false")
          }
          if (res.code === 510) {
            this.$message.warning(res.message)
          }
        })
      },


    }
  }
</script>
<style scoped>
  @import '~@assets/less/common.less'
</style>